onEvent('recipes', event => {
    event.shapeless("waystones:waystone", ["minecraft:emerald_block", "minecraft:emerald_block"])
    
    event.shapeless(
        Item.of('minecraft:enchanted_book', { StoredEnchantments: [{ lvl: 1, id: "minecraft:mending" }] }), [
        "minecraft:emerald_block",
        "minecraft:emerald_block",
        "minecraft:emerald_block",
        "minecraft:emerald_block"])

    event.remove({ id: "minecraft:campfire" })
    event.shapeless(
        "minecraft:campfire", [
        "#minecraft:logs",
        "#minecraft:logs",
        "minecraft:stick",
        "minecraft:stick"])
    event.shapeless(
        "minecraft:campfire", [
        "minecraft:charcoal",
        "minecraft:charcoal"])

    event.remove({ id: "minecraft:soul_campfire" })
    event.shapeless(
        "minecraft:soul_campfire", [
        "#minecraft:soul_fire_base_blocks",
        "#minecraft:soul_fire_base_blocks",
        "minecraft:stick",
        "minecraft:stick"])
    event.shapeless(
        "minecraft:soul_campfire", [
        "minecraft:soul_soil"])
    event.shapeless(
        "minecraft:tropical_fish", [
        "aquaculture:fish_fillet_raw"])
    event.shapeless(
        "minecraft:egg", [
        "#forge:eggs"])
    event.shaped("16x minecraft:stick", [
        "L",
        "L"
    ], {
        L: "#minecraft:logs"
    })
    event.shaped("4x minecraft:chest", [
        "LLL",
        "L L",
        "LLL"
    ], {
        L: "#minecraft:logs"
    })
    event.shaped("minecraft:hopper", [
        "ILI",
        "ILI",
        " I "
    ], {
        I: "minecraft:iron_ingot",
        L: "#minecraft:logs"
    })
    event.shapeless("2x minecraft:experience_bottle", ["minecraft:emerald"])
    event.shapeless("4x minecraft:honey_bottle", [
        "minecraft:honey_bottle",
        "minecraft:sugar",
        "minecraft:sugar",
        "minecraft:sugar"])
    event.shapeless("farmersdelight:ham", [
        "minecraft:porkchop",
        "minecraft:porkchop",
        "minecraft:porkchop",
        "minecraft:porkchop"])
    event.shapeless("minecraft:ice", [
        "minecraft:snow_block",
        "minecraft:snow_block",
        "minecraft:snow_block",
        "minecraft:snow_block"])
    event.shapeless("2x minecraft:wheat_seeds", [
        "#forge:seeds",
        "#forge:seeds"])
    event.shapeless("betteranimalsplus:fried_egg", [
        "farmersdelight:fried_egg"
    ])
    event.shapeless("farmersdelight:fried_egg", [
        "betteranimalsplus:fried_egg"
    ])

    event.shapeless("minecraft:snowball", [
        "pamhc2foodcore:freshwateritem",
        "pamhc2foodcore:freshwateritem",
        "pamhc2foodcore:freshwateritem",
        "pamhc2foodcore:freshwateritem"])

    event.shapeless("minecraft:string", [
        "minecraft:feather",
        "minecraft:feather",
        "minecraft:feather",
        "minecraft:feather"
    ])

    event.shapeless("4x minecraft:melon_slice", ["minecraft:melon"])

    event.shapeless("farmersdelight:brown_mushroom_colony", [
        "minecraft:brown_mushroom",
        "minecraft:brown_mushroom",
        "minecraft:brown_mushroom",
        "minecraft:brown_mushroom",
        "minecraft:brown_mushroom"
    ])

    event.shapeless("farmersdelight:red_mushroom_colony", [
        "minecraft:red_mushroom",
        "minecraft:red_mushroom",
        "minecraft:red_mushroom",
        "minecraft:red_mushroom",
        "minecraft:red_mushroom"
    ])
    event.shapeless("minecraft:leather", 
        ["farmersdelight:tree_bark","farmersdelight:tree_bark",
        "farmersdelight:tree_bark","farmersdelight:tree_bark"]
    )

    event.remove({ id: "farmingforblockheads:market" })
    event.shaped("farmingforblockheads:market", [
        "BBB",
        "BCB",
        "BBB"
    ],{
        B: "minecraft:emerald_block",
        C: "compressium:emerald_1"
    })

    event.shaped(Item.of('minecraft:bookshelf', 1), [
        'AAA',
        'BBB',
        'AAA'
    ], {
        A: '#minecraft:planks',
        B: 'minecraft:book'
    })
    event.shaped(Item.of('minecraft:chest', 1), [
        'AAA',
        'A A',
        'AAA'
    ], {
        A: '#minecraft:planks'
    })

})